org.apache.cassandra.cql3.statements

## Class Selectable.WithFunction.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selectable.WithFunction.Raw

- All Implemented Interfaces:
    Selectable.Raw
  Enclosing class:
    Selectable.WithFunction

      public static class Selectable.WithFunction.Raw
      extends java.lang.Object
      implements Selectable.Raw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Selectable.WithFunction.Raw(java.lang.String functionName, java.util.List<Selectable.Raw> args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selectable.WithFunction` | `prepare(CFMetaData cfm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Selectable.WithFunction.Raw

          public Selectable.WithFunction.Raw(java.lang.String functionName,
                                     java.util.List<Selectable.Raw> args)

  - ### Method Detail

    - #### prepare

          public Selectable.WithFunction prepare(CFMetaData cfm)

      Specified by:
        `prepare` in interface `Selectable.Raw`

Copyright © 2014 The Apache Software Foundation